[riot-notifications] [RIOT-OS/RIOT] drivers/net: Add netdev_driver_t::confirm_send (#14660)

Marian Buschsieweke notifications at github.com
Tue Jan 5 15:37:13 CET 2021


> I think it would be nice to add the deprecation release (21.10?). Otherwise I'm fine.

My idea was to update `gnrc_netif` as a follow up to make use of the new behavior and add a pseudo-module that enables backward compatibility. Without this module presence of `send_confirm` could be `assert()`ed to ease debugging. And then we could deprecate the backward compatibility pseudo-module. Via `makefiles/deprecated_modules.inc.mk` out of tree users would get a motivating warning if they use drivers with legacy behavior :-)

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/RIOT-OS/RIOT/pull/14660#issuecomment-754673658
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.riot-os.org/pipermail/notifications/attachments/20210105/69599eac/attachment.htm>


More information about the notifications mailing list